diff -r 8f2c7c19d72d CHANGES
--- a/CHANGES	Fri Jul 01 14:05:00 2016 -0400
+++ b/CHANGES	Wed Aug 24 08:39:52 2016 -0400
@@ -1,5 +1,6 @@
 20160701
 - Ribbon Generator: allow line length to be specified directly in Monotype units.
+
 20160214
 - Ribbon Generator: add Imprimerie Nationale point system.
 
diff -r 8f2c7c19d72d Makefile
--- a/Makefile	Fri Jul 01 14:05:00 2016 -0400
+++ b/Makefile	Wed Aug 24 08:39:52 2016 -0400
@@ -105,7 +105,7 @@
 ccapp: 
 	cp -Rf CasterApp/* ${CASTER_CONTROL}.app/Contents/
 	cp -Rf Common/* ${CASTER_CONTROL}.app/Contents/Resources/
-	ibtool --strings-file ${CASTER_CONTROL}.app/Contents/Resources/French.lproj/Caster.strings --write ${CASTER_CONTROL}.app/Contents/Resources/French.lproj/Caster.nib ${CASTER_CONTROL}.app/Contents/Resources/English.lproj/Caster.nib
+# 	ibtool --strings-file ${CASTER_CONTROL}.app/Contents/Resources/French.lproj/Caster.strings --write ${CASTER_CONTROL}.app/Contents/Resources/French.lproj/Caster.nib ${CASTER_CONTROL}.app/Contents/Resources/English.lproj/Caster.nib
  
 punchresources: 
 	cp -Rf PunchApp/* ${PUNCH}.app/Contents/
@@ -142,7 +142,7 @@
 	cp -Rf webapps/Keyboard "${RIBBON_GENERATOR}.app/Contents/Resources"
 	cp -Rf modules/* "${RIBBON_GENERATOR}.app/Contents/Resources/Keyboard/modules"
 	cp -Rf CHANGES "${RIBBON_GENERATOR}.app/Contents/Resources"
-	ibtool --strings-file ${RIBBON_GENERATOR}.app/Contents/Resources/French.lproj/MainMenu.strings --write ${RIBBON_GENERATOR}.app/Contents/Resources/French.lproj/MainMenu.nib ${RIBBON_GENERATOR}.app/Contents/Resources/English.lproj/MainMenu.nib
+#	ibtool --strings-file ${RIBBON_GENERATOR}.app/Contents/Resources/French.lproj/MainMenu.strings --write ${RIBBON_GENERATOR}.app/Contents/Resources/French.lproj/MainMenu.nib ${RIBBON_GENERATOR}.app/Contents/Resources/English.lproj/MainMenu.nib
 	cp -Rf dojo-release-1.6.1-src/release/dojo "${RIBBON_GENERATOR}.app/Contents/Resources/Keyboard"
 	cp -Rf phantomjs-1.9.7-macosx/bin/phantomjs "${RIBBON_GENERATOR}.app/Contents/Resources/Keyboard/bin"
 
diff -r 8f2c7c19d72d RibbonGeneratorApp/Resources/RibbonGeneratorController.pike
--- a/RibbonGeneratorApp/Resources/RibbonGeneratorController.pike	Fri Jul 01 14:05:00 2016 -0400
+++ b/RibbonGeneratorApp/Resources/RibbonGeneratorController.pike	Wed Aug 24 08:39:52 2016 -0400
@@ -10,6 +10,7 @@
 Cocoa.NSTextField StartupLabel;
 Cocoa.NSButton ViewLog;
 Cocoa.NSButton BackupData;
+Cocoa.WebView webView;
 
 object server;
 
@@ -81,6 +82,7 @@
 void applicationWillFinishLaunching_(object event)
 {
 werror("***\n*** starting!\n**\n");
+werror("WEBVIEW: %O\n", webView);
 // are we running in a desktop mode?
 	object fm = Cocoa.NSFileManager.defaultManager();
 	string url = "~/Library/Application Support/Monotype Caster Control";
diff -r 8f2c7c19d72d version.cfg
--- a/version.cfg	Fri Jul 01 14:05:00 2016 -0400
+++ b/version.cfg	Wed Aug 24 08:39:52 2016 -0400
@@ -1,7 +1,7 @@
 punchVersion = 1.0.4
 casterControlVersion = 2.0.1
-ribbonGeneratorVersion = 2.7.2
-typesettingEngineVersion = 2.5.2
-copyrightYear = 2005 - 2015
+ribbonGeneratorVersion = 2.7.4
+typesettingEngineVersion = 2.5.3
+copyrightYear = 2005 - 2016
 copyrightName = Bill Welliver <bill@welliver.org>
 releaseType = Release
